> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.senjaropay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.senjaropay.com/_mcp/server.

# List exchange-rate pairs

GET https://api.senjaropay.com/public/monierate/pairs

Returns supported FX pairs with the current bid and ask.
No API keys. The caller IP must be allowlisted in the SenjaroPay dashboard.
Response is a JSON array.


Reference: https://docs.senjaropay.com/api-documentation/exchange-rates/list-exchange-rate-pairs

## Response

### 200

Supported pairs

- `list of ExchangeRatePair`

## Types

### ExchangeRatePair

- `ticker_id` (string, required)
- `base_currency` (string, required)
- `quote_currency` (string, required)
- `bid` (double, required)
- `ask` (double, required)
- `effective_at` (datetime, required)

## Examples

**Response**

```json
[
  {
    "ticker_id": "CNY_TZS",
    "base_currency": "CNY",
    "quote_currency": "TZS",
    "bid": 388,
    "ask": 395.8,
    "effective_at": "2026-08-07T14:08:48.828Z"
  },
  {
    "ticker_id": "KES_TZS",
    "base_currency": "KES",
    "quote_currency": "TZS",
    "bid": 2000,
    "ask": 4000,
    "effective_at": "2026-04-30T11:00:35.042Z"
  },
  {
    "ticker_id": "USD_TZS",
    "base_currency": "USD",
    "quote_currency": "TZS",
    "bid": 2640,
    "ask": 2665,
    "effective_at": "2026-11-19T08:56:16.028Z"
  }
]
```

**SDK Code**

```python exchangeRates_listExchangeRatePairs_example
import requests

url = "https://api.senjaropay.com/public/monierate/pairs"

headers = {"x-api-secret": "x-api-secret"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript exchangeRates_listExchangeRatePairs_example
const url = 'https://api.senjaropay.com/public/monierate/pairs';
const options = {method: 'GET', headers: {'x-api-secret': 'x-api-secret'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go exchangeRates_listExchangeRatePairs_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.senjaropay.com/public/monierate/pairs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-secret", "x-api-secret")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby exchangeRates_listExchangeRatePairs_example
require 'uri'
require 'net/http'

url = URI("https://api.senjaropay.com/public/monierate/pairs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-secret"] = 'x-api-secret'

response = http.request(request)
puts response.read_body
```

```java exchangeRates_listExchangeRatePairs_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.senjaropay.com/public/monierate/pairs")
  .header("x-api-secret", "x-api-secret")
  .asString();
```

```php exchangeRates_listExchangeRatePairs_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.senjaropay.com/public/monierate/pairs', [
  'headers' => [
    'x-api-secret' => 'x-api-secret',
  ],
]);

echo $response->getBody();
```

```csharp exchangeRates_listExchangeRatePairs_example
using RestSharp;

var client = new RestClient("https://api.senjaropay.com/public/monierate/pairs");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-secret", "x-api-secret");
IRestResponse response = client.Execute(request);
```

```swift exchangeRates_listExchangeRatePairs_example
import Foundation

let headers = ["x-api-secret": "x-api-secret"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.senjaropay.com/public/monierate/pairs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```